Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package symtab
  Definition Classes
    nsc
-  package classfile
  Definition Classes
    symtab
-  abstract class ClassfileParser extends AnyRef

  This abstract class implements a class file parser.

  This abstract class implements a class file parser.

  Definition Classes
    classfile
  Version

    1.0

- ConstantPool
- InnerClassEntry
- LazyAliasType
- NameOrString
- TypeParamsType
- innerClasses

c

scala.tools.nsc.symtab.classfile.ClassfileParser

# ConstantPool

###

#### class ConstantPool extends AnyRef

Constructor of this class should not be called directly, use `newConstantPool` instead.

Attributes
  protected
Source
  ClassfileParser.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConstantPool
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ConstantPool()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ConstantPool toany2stringadd[ConstantPool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ConstantPool, B)
   Implicit
     This member is added by an implicit conversion from ConstantPool toArrowAssoc[ConstantPool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val endBp: Int
9.  def ensuring(cond: (ConstantPool) => Boolean, msg: => Any): ConstantPool
   Implicit
     This member is added by an implicit conversion from ConstantPool toEnsuring[ConstantPool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ConstantPool) => Boolean): ConstantPool
    Implicit
      This member is added by an implicit conversion from ConstantPool toEnsuring[ConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ConstantPool
    Implicit
      This member is added by an implicit conversion from ConstantPool toEnsuring[ConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ConstantPool
    Implicit
      This member is added by an implicit conversion from ConstantPool toEnsuring[ConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def errorBadIndex(index: Int): Nothing

    Throws an exception signaling a bad constant index.

    Throws an exception signaling a bad constant index.

    Attributes
      protected
16.  def errorBadTag(start: Int): Nothing

    Throws an exception signaling a bad tag at given address.

    Throws an exception signaling a bad tag at given address.

    Attributes
      protected
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def firstExpecting(index: Int, expected: Int): Int
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ConstantPool toStringFormat[ConstantPool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  def getBytes(indices: List[Int]): Array[Byte]

    Get an array of bytes stored in the classfile as an array of strings.

    Get an array of bytes stored in the classfile as an array of strings. The data is encoded in the format described in object ByteCodecs. Used for the ScalaLongSignature annotation argument.

21.  def getBytes(index: Int): Array[Byte]

    Get an array of bytes stored in the classfile as a string.

    Get an array of bytes stored in the classfile as a string. The data is encoded in the format described in object ByteCodecs. Used for the ScalaSignature annotation argument.

22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def getClassName(index: Int): NameOrString

    Return the external name of the class info structure found at 'index'.

    Return the external name of the class info structure found at 'index'. Use 'getClassSymbol' if the class is sure to be a top-level class.

24.  def getClassOrArrayType(index: Int): (symbolTable)#Type

    Return the type of a class constant entry.

    Return the type of a class constant entry. Since arrays are considered to be class types, they might appear as entries in 'newarray' or 'cast' opcodes.

25.  def getClassSymbol(index: Int): (symbolTable)#Symbol
26.  def getConstant(index: Int): (symbolTable)#Constant
27.  def getConstant(index: Char): (symbolTable)#Constant
28.  def getExternalName(index: Int): NameOrString

    Return the name found at given index in the constant pool, with '/' replaced by '.'.

29.  def getName(index: Int): NameOrString

    Return the name found at given index.

30.  def getNameAndType(index: Int, ownerTpe: (symbolTable)#Type): ((symbolTable)#Name, (symbolTable)#Type)

    Return a name and a type at the given index.

    Return a name and a type at the given index. If the type is a method type, a dummy symbol is created in `ownerTpe`, which is used as the owner of its value parameters. This might lead to inconsistencies, if a symbol of the given name already exists, and has a different type.

    Attributes
      protected
31.  def getSuperClassName(index: Int): NameOrString
32.  def getType(sym: (symbolTable)#Symbol, index: Int): (symbolTable)#Type
33.  def getType(index: Int): (symbolTable)#Type
34.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  val initBp: Int
36.  val internalized: Array[NameOrString]
    Attributes
      protected
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  val len: Int
    Attributes
      protected
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  def recordAtIndex[T <: AnyRef](value: T, idx: Int): T
43.  val starts: Array[Int]
    Attributes
      protected
44.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  val values: Array[AnyRef]
    Attributes
      protected
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ConstantPool, B)
   Implicit
     This member is added by an implicit conversion from ConstantPool toArrowAssoc[ConstantPool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromConstantPool to any2stringadd[ConstantPool]

### Inherited by implicit conversion StringFormat fromConstantPool to StringFormat[ConstantPool]

### Inherited by implicit conversion Ensuring fromConstantPool to Ensuring[ConstantPool]

### Inherited by implicit conversion ArrowAssoc fromConstantPool to ArrowAssoc[ConstantPool]

### Ungrouped